Web lists-archives.com

Re: mariadb ldap auth




Hi Selim,

Wow thanks for teaching me about apt-file, didn't know that one!

For me, on linux mint, output looks different:

user@e7470 ~ $ sudo apt-file search dialog.so
...> percona-server-5.6-dbg: /usr/lib/debug/usr/lib/mysql/plugin/dialog.so
percona-server-server-5.6: /usr/lib/mysql/plugin/dialog.so
percona-xtradb-cluster-5.6-dbg: /usr/lib/debug/usr/lib/mysql/plugin/dialog.so
percona-xtradb-cluster-server-5.6: /usr/lib/mysql/plugin/dialog.so
...
user@e7470 ~ $ cat /etc/debian_version stretch/sid

Seems linux mint doesn't have those mariadb client libs that you have. Strange, since it's also stretch...?

If you don't have those two packages installed on your remote client,
try to install them.  (You probably only need the client one, but I
don't really know.)
Yeah I'll work on this a bit more.

If they're already installed, you should try to figure out why your
system is trying to find the mysql version of the plugin, but as a
temporary solution, you can try to create a symlink from
/usr/lib/mysql/plugin/dialog.so to one of those files and see if it works.

Yes, thanks for your suggestions, and for telling me about apt-file :-)

MJ